## ros-humble-ros-ign 0.244.11

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(ros_ign)
find_package(ament_cmake REQUIRED)

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()
endif()

ament_package()

=== debian/changelog ===
ros-humble-ros-ign (0.244.11-1jammy) jammy; urgency=high



 -- Brandon Ong <brandon@openrobotics.org>  Tue, 23 May 2023 05:00:00 -0000

ros-humble-ros-ign (0.244.10-1jammy) jammy; urgency=high



 -- Brandon Ong <brandon@openrobotics.org>  Wed, 03 May 2023 05:00:00 -0000

ros-humble-ros-ign (0.244.9-1jammy) jammy; urgency=high



 -- Brandon Ong <brandon@openrobotics.org>  Thu, 03 Nov 2022 05:00:00 -0000

ros-humble-ros-ign (0.244.8-1jammy) jammy; urgency=high



 -- Brandon Ong <brandon@openrobotics.org>  Fri, 28 Oct 2022 05:00:00 -0000

ros-humble-ros-ign (0.244.7-1jammy) jammy; urgency=high



 -- Brandon Ong <brandon@openrobotics.org>  Wed, 12 Oct 2022 05:00:00 -0000

ros-humble-ros-ign (0.244.6-1jammy) jammy; urgency=high

  * Restructured directories (#296 <https://github.com/gazebosim/ros_gz/issues/296>)
  * Contributors: Alejandro Hernández Cordero

 -- Brandon Ong <brandon@openrobotics.org>  Wed, 14 Sep 2022 05:00:00 -0000

ros-humble-ros-ign (0.244.5-1jammy) jammy; urgency=high

  * ign -> gz : ros_gz Migration (Shims) (#281 <https://github.com/gazebosim/ros_gz/issues/281>)
    Co-authored-by: Louise Poubel <mailto:louise@openrobotics.org>
  * Contributors: methylDragon

 -- Brandon Ong <brandon@openrobotics.org>  Mon, 12 Sep 2022 05:00:00 -0000

=== debian/control ===
Source: ros-humble-ros-ign
Section: misc
Priority: optional
Maintainer: Brandon Ong <brandon@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ament-lint-common <!nocheck>, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-ros-ign
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-ros-gz, ros-humble-ros-ign-bridge, ros-humble-ros-ign-gazebo, ros-humble-ros-ign-gazebo-demos, ros-humble-ros-ign-image, ros-humble-ros-workspace
Description: Shim meta-package to redirect to ros_gz.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-ros-ign//opt/ros/humble/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install

## ros-humble-ros-ign 0.244.14

=== debian/changelog ===
ros-humble-ros-ign (0.244.14-1bookworm) bookworm; urgency=high



 -- Brandon Ong <brandon@openrobotics.org>  Sun, 07 Apr 2024 16:00:00 -0000

ros-humble-ros-ign (0.244.13-1bookworm) bookworm; urgency=high



 -- Brandon Ong <brandon@openrobotics.org>  Mon, 22 Jan 2024 16:00:00 -0000

ros-humble-ros-ign (0.244.12-1bookworm) bookworm; urgency=high



 -- Brandon Ong <brandon@openrobotics.org>  Tue, 12 Dec 2023 16:00:00 -0000

ros-humble-ros-ign (0.244.11-1bookworm) bookworm; urgency=high



 -- Brandon Ong <brandon@openrobotics.org>  Mon, 22 May 2023 16:00:00 -0000

ros-humble-ros-ign (0.244.10-1bookworm) bookworm; urgency=high



 -- Brandon Ong <brandon@openrobotics.org>  Tue, 02 May 2023 16:00:00 -0000

ros-humble-ros-ign (0.244.9-1bookworm) bookworm; urgency=high



 -- Brandon Ong <brandon@openrobotics.org>  Wed, 02 Nov 2022 16:00:00 -0000

ros-humble-ros-ign (0.244.8-1bookworm) bookworm; urgency=high



 -- Brandon Ong <brandon@openrobotics.org>  Thu, 27 Oct 2022 16:00:00 -0000

ros-humble-ros-ign (0.244.7-1bookworm) bookworm; urgency=high



 -- Brandon Ong <brandon@openrobotics.org>  Tue, 11 Oct 2022 16:00:00 -0000

ros-humble-ros-ign (0.244.6-1bookworm) bookworm; urgency=high

  * Restructured directories (#296 <https://github.com/gazebosim/ros_gz/issues/296>)
  * Contributors: Alejandro Hernández Cordero

 -- Brandon Ong <brandon@openrobotics.org>  Tue, 13 Sep 2022 16:00:00 -0000

ros-humble-ros-ign (0.244.5-1bookworm) bookworm; urgency=high

  * ign -> gz : ros_gz Migration (Shims) (#281 <https://github.com/gazebosim/ros_gz/issues/281>)
    Co-authored-by: Louise Poubel <mailto:louise@openrobotics.org>
  * Contributors: methylDragon

 -- Brandon Ong <brandon@openrobotics.org>  Sun, 11 Sep 2022 16:00:00 -0000

=== debian/rules ===
--- 
+++ 
@@ -57,7 +57,7 @@
 	# in the install tree and source it.  It will set things like
 	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
 	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
-	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-ros-ign//opt/ros/humble/lib/
+	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-ros-ign//opt/ros/humble/lib/:$(CURDIR)/debian/ros-humble-ros-ign//opt/ros/humble/opt/ros_ign/lib/
 
 override_dh_auto_install:
 	# In case we're installing to a non-standard location, look for a setup.sh

## ros-humble-ros-ign 0.244.16

=== debian/changelog ===
ros-humble-ros-ign (0.244.16-1bookworm) bookworm; urgency=high



 -- Brandon Ong <brandon@openrobotics.org>  Sun, 21 Jul 2024 16:00:00 -0000

ros-humble-ros-ign (0.244.15-1bookworm) bookworm; urgency=high



 -- Brandon Ong <brandon@openrobotics.org>  Tue, 02 Jul 2024 16:00:00 -0000
